#include <Python.h>

#include <cstdlib>
#include <iostream>

int main(int argc, char* argv[])
{
	PyThreadState * globalThreadState_ = NULL;
	Py_Initialize();
	PyEval_InitThreads();
	globalThreadState_ = PyEval_SaveThread();

	{
		PyThreadState *workerPyThreadState = NULL;
		PyEval_AcquireLock();
		workerPyThreadState = Py_NewInterpreter();

		PyRun_SimpleString("import main\nmain.main()");

		Py_EndInterpreter(workerPyThreadState);
		PyEval_ReleaseLock();  	
	}

	PyEval_RestoreThread(globalThreadState_);
	Py_Finalize();
}
